<?xml version="1.0" encoding="UTF-8"?>
<web-app id="WebApp_ID" version="2.4"
	xmlns="http://java.sun.com/xml/ns/j2ee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd">
	<display-name>WebProg
	</display-name>

	<servlet>
		<description>
		</description>
		<display-name>LoginServlet
		</display-name>
		<servlet-name>LoginServlet</servlet-name>
		<servlet-class>mvc.LoginServlet
		</servlet-class>
	</servlet>
	<servlet>
		<description>
		</description>
		<display-name>HelloServlet
		</display-name>
		<servlet-name>HelloServlet</servlet-name>
		<servlet-class>servlets.primer01.HelloServlet
		</servlet-class>
	</servlet>
	<servlet>
		<description>
		</description>
		<display-name>FormServlet
		</display-name>
		<servlet-name>FormServlet</servlet-name>
		<servlet-class>servlets.primer02.FormServlet
		</servlet-class>
	</servlet>
	<servlet>
		<description>
		</description>
		<display-name>RedirectServlet
		</display-name>
		<servlet-name>RedirectServlet</servlet-name>
		<servlet-class>servlets.primer03.RedirectServlet
		</servlet-class>
	</servlet>
	<servlet>
		<description>
		</description>
		<display-name>UTF8Servlet
		</display-name>
		<servlet-name>UTF8Servlet</servlet-name>
		<servlet-class>servlets.primer04.UTF8Servlet
		</servlet-class>
	</servlet>
	<servlet>
		<description>
		</description>
		<display-name>CP1250Servlet
		</display-name>
		<servlet-name>CP1250Servlet</servlet-name>
		<servlet-class>servlets.primer04.CP1250Servlet
		</servlet-class>
	</servlet>
	<servlet>
		<description>
		</description>
		<display-name>SessionTestServlet
		</display-name>
		<servlet-name>SessionTestServlet</servlet-name>
		<servlet-class>servlets.session.SessionTestServlet
		</servlet-class>
	</servlet>
	<servlet>
		<description>
		</description>
		<display-name>WebShopServlet
		</display-name>
		<servlet-name>WebShopServlet</servlet-name>
		<servlet-class>servlets.webshop.WebShopServlet
		</servlet-class>
	</servlet>
	<servlet>
		<description>
		</description>
		<display-name>ShoppingCartServlet
		</display-name>
		<servlet-name>ShoppingCartServlet</servlet-name>
		<servlet-class>servlets.webshop.ShoppingCartServlet
		</servlet-class>
	</servlet>
	<servlet>
		<description>
		</description>
		<display-name>MVCShoppingCartServlet
		</display-name>
		<servlet-name>MVCShoppingCartServlet</servlet-name>
		<servlet-class>mvc.MVCShoppingCartServlet
		</servlet-class>
	</servlet>
	<servlet>
		<description>
		</description>
		<display-name>UTF8UploadServlet
		</display-name>
		<servlet-name>UTF8UploadServlet</servlet-name>
		<servlet-class>servlets.UTF8UploadServlet
		</servlet-class>
	</servlet>
	<servlet>
		<description>
		</description>
		<display-name>RememberLoginServlet</display-name>
		<servlet-name>RememberLoginServlet</servlet-name>
		<servlet-class>servlets.rememberlogin.RememberLoginServlet</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>HelloServlet</servlet-name>
		<url-pattern>/HelloServlet</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>LoginServlet</servlet-name>
		<url-pattern>/LoginServlet</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>FormServlet</servlet-name>
		<url-pattern>/FormServlet</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>RedirectServlet</servlet-name>
		<url-pattern>/RedirectServlet</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>UTF8Servlet</servlet-name>
		<url-pattern>/UTF8Servlet</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>CP1250Servlet</servlet-name>
		<url-pattern>/CP1250Servlet</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>SessionTestServlet</servlet-name>
		<url-pattern>/SessionTestServlet</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>WebShopServlet</servlet-name>
		<url-pattern>/WebShopServlet</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>ShoppingCartServlet</servlet-name>
		<url-pattern>/ShoppingCartServlet</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>MVCShoppingCartServlet</servlet-name>
		<url-pattern>/MVCShoppingCartServlet</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>UTF8UploadServlet</servlet-name>
		<url-pattern>/UTF8UploadServlet</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>RememberLoginServlet</servlet-name>
		<url-pattern>/RememberLoginServlet</url-pattern>
	</servlet-mapping>


	<servlet>
		<servlet-name>GetHTMLServlet</servlet-name>
		<servlet-class>servlets.ajax.GetHTMLServlet</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>GetHTMLServlet</servlet-name>
		<url-pattern>/GetHTML</url-pattern>
	</servlet-mapping>
	<servlet>
		<servlet-name>GetArticlesServlet</servlet-name>
		<servlet-class>servlets.ajax.GetArticlesServlet</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>GetArticlesServlet</servlet-name>
		<url-pattern>/GetArticles</url-pattern>
	</servlet-mapping>
	<servlet>
		<servlet-name>PostArticleServlet</servlet-name>
		<servlet-class>servlets.ajax.PostArticleServlet</servlet-class>
	</servlet>
	<servlet>
		<description>
  	</description>
		<display-name>ShopLoginServlet</display-name>
		<servlet-name>ShopLoginServlet</servlet-name>
		<servlet-class>servlets.shop.ShopLoginServlet</servlet-class>
	</servlet>
	<servlet>
		<description>
  	</description>
		<display-name>ShopAdminLoginServlet</display-name>
		<servlet-name>ShopAdminLoginServlet</servlet-name>
		<servlet-class>servlets.shop.ShopAdminLoginServlet</servlet-class>
	</servlet>
	<servlet>
		<description>
  	</description>
		<display-name>StoreServlet</display-name>
		<servlet-name>StoreServlet</servlet-name>
		<servlet-class>servlets.shop.StoreServlet</servlet-class>
	</servlet>
	<servlet>
		<description>
  	</description>
		<display-name>UploadPicServlet</display-name>
		<servlet-name>UploadPicServlet</servlet-name>
		<servlet-class>servlets.shop.UploadPicServlet</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>PostArticleServlet</servlet-name>
		<url-pattern>/PostArticle</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>ShopLoginServlet</servlet-name>
		<url-pattern>/ShopLoginServlet</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>ShopAdminLoginServlet</servlet-name>
		<url-pattern>/ShopAdminLoginServlet</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>StoreServlet</servlet-name>
		<url-pattern>/StoreServlet</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>UploadPicServlet</servlet-name>
		<url-pattern>/UploadPicServlet</url-pattern>
	</servlet-mapping>

	<welcome-file-list>
		<welcome-file>index.jsp</welcome-file>
		<welcome-file>index.html</welcome-file>
	</welcome-file-list>

	<context-param>
		<param-name>inicijalizacioniParametar</param-name>
		<param-value>10</param-value>
	</context-param>

	<jsp-config>
		<taglib>
			<taglib-uri>mytags</taglib-uri>
			<taglib-location>/WEB-INF/mytags.tld</taglib-location>
		</taglib>
	</jsp-config>

</web-app>

  